OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ShaderSubroutine

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBShaderSubroutine :: MonadIO m => m Bool
- gl_ARB_shader_subroutine :: Bool
- gl_ACTIVE_SUBROUTINES :: GLenum
- gl_ACTIVE_SUBROUTINE_MAX_LENGTH :: GLenum
- gl_ACTIVE_SUBROUTINE_UNIFORMS :: GLenum
- gl_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum
- gl_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH :: GLenum
- gl_COMPATIBLE_SUBROUTINES :: GLenum
- gl_MAX_SUBROUTINES :: GLenum
- gl_MAX_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum
- gl_NUM_COMPATIBLE_SUBROUTINES :: GLenum
- gl_UNIFORM_NAME_LENGTH :: GLenum
- gl_UNIFORM_SIZE :: GLenum
- glGetActiveSubroutineName :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetActiveSubroutineUniformName :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetActiveSubroutineUniformiv :: MonadIO m => GLuint -> GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetProgramStageiv :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetSubroutineIndex :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLuint
- glGetSubroutineUniformLocation :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLint
- glGetUniformSubroutineuiv :: MonadIO m => GLenum -> GLint -> Ptr GLuint -> m ()
- glUniformSubroutinesuiv :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()

# Extension Support

glGetARBShaderSubroutine :: MonadIO m => m Bool

Is the ARB_shader_subroutine extension supported?

gl_ARB_shader_subroutine :: Bool

Is the ARB_shader_subroutine extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBShaderSubroutine` in those cases instead.

# Enums

gl_ACTIVE_SUBROUTINES :: GLenum

gl_ACTIVE_SUBROUTINE_MAX_LENGTH :: GLenum

gl_ACTIVE_SUBROUTINE_UNIFORMS :: GLenum

gl_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum

gl_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH :: GLenum

gl_COMPATIBLE_SUBROUTINES :: GLenum

gl_MAX_SUBROUTINES :: GLenum

gl_MAX_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum

gl_NUM_COMPATIBLE_SUBROUTINES :: GLenum

gl_UNIFORM_NAME_LENGTH :: GLenum

gl_UNIFORM_SIZE :: GLenum

# Functions

glGetActiveSubroutineName

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype`.
-> GLuint | `index`.
-> GLsizei | `bufsize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `name` pointing to `bufsize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetActiveSubroutineUniformName

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype`.
-> GLuint | `index`.
-> GLsizei | `bufsize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `name` pointing to `bufsize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetActiveSubroutineUniformiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype`.
-> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLint | `values` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramStageiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype`.
-> GLenum | `pname`.
-> Ptr GLint | `values` pointing to `1` element of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glGetSubroutineIndex

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype`.
-> Ptr GLchar | `name`.
-> m GLuint |

Manual page for OpenGL 4.x.

glGetSubroutineUniformLocation

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual page for OpenGL 4.x.

glGetUniformSubroutineuiv

Arguments

:: MonadIO m |
=> GLenum | `shadertype`.
-> GLint | `location`.
-> Ptr GLuint | `params` pointing to `1` element of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glUniformSubroutinesuiv

Arguments

:: MonadIO m |
=> GLenum | `shadertype`.
-> GLsizei | `count`.
-> Ptr GLuint | `indices` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.